aboutsummaryrefslogtreecommitdiff
path: root/net/adblock-fast/files
diff options
context:
space:
mode:
authorStan Grishin <stangri@melmac.ca>2023-10-05 14:51:51 +0000
committerStan Grishin <stangri@melmac.ca>2023-10-05 14:52:28 +0000
commit13a88d0b79142f385d77baaa390211673bf6b9c0 (patch)
tree0ce9949c5c8ba7985574088f51dc5dd308fd8898 /net/adblock-fast/files
parentc5f6865165ceab67a68f027b233dbc0fcf02fcf9 (diff)
adblock-fast: bugfix: properly identify hosts-files
* escape dots in grep command to properly identify hosts files Signed-off-by: Stan Grishin <stangri@melmac.ca>
Diffstat (limited to 'net/adblock-fast/files')
-rwxr-xr-xnet/adblock-fast/files/etc/init.d/adblock-fast7
1 files changed, 5 insertions, 2 deletions
diff --git a/net/adblock-fast/files/etc/init.d/adblock-fast b/net/adblock-fast/files/etc/init.d/adblock-fast
index f885bd105..8229f0845 100755
--- a/net/adblock-fast/files/etc/init.d/adblock-fast
+++ b/net/adblock-fast/files/etc/init.d/adblock-fast
@@ -282,7 +282,7 @@ append_url() {
echo 'dnsmasq2'
elif grep -q '^address=' "$file"; then
echo 'dnsmasq3'
- elif grep -q '^0.0.0.0' "$file" || grep -q '^127.0.0.1' "$file"; then
+ elif grep -q '^0\.0\.0\.0' "$file" || grep -q '^127\.0\.0\.1' "$file"; then
echo 'hosts'
elif [ -n "$(sed "$domainsFilter" "$file" | head -1)" ]; then
echo 'domains'
@@ -1536,6 +1536,7 @@ adb_start() {
json_close_array
procd_close_data
procd_close_instance
+ return 0
}
adb_status() {
@@ -1568,12 +1569,13 @@ adb_status() {
n=$((n+1))
done
fi
+ return 0
}
# shellcheck disable=SC2120
adb_stop() {
local validation_result="$3"
- load_environment "$validation_result" 'quiet' || return 1
+ load_environment "$validation_result" 'quiet' || return 0
if [ -s "$outputFile" ]; then
output "Stopping $serviceName... "
cache 'create'
@@ -1593,6 +1595,7 @@ adb_stop() {
output "${_ERROR_}: $(get_text 'errorStopping')!\\n"
fi
fi
+ return 0
}
adb_pause() {